Loading...
Searching...
No Matches
L4Re::Util::Vcon_svr< SVR > Class Template Reference
L4Re C++ Interface » L4Re Util C++ Interface

Console server template class. More...

`#include <vcon_svr>`

Collaboration diagram for L4Re::Util::Vcon_svr< SVR >:

## Detailed Description

template<typename SVR>
class L4Re::Util::Vcon_svr< SVR >

Console server template class.

This template uses vcon_write() and vcon_read() to get and deliver data from the implementor.

vcon_read() needs to update the status argument with the L4_vcon_read_stat flags, especially the L4_VCON_READ_STAT_DONE flag to indicate that there's nothing more to read for the other end.

vcon_write() gets the live data from the UTCB. Make sure to copy out the data before using the UTCB again.

The size parameter of both functions is given in bytes.

Definition at line 36 of file vcon_svr.

The documentation for this class was generated from the following file:

- l4/re/util/vcon_svr